package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserObject;
import com.sa.ibiz.demo.demo.service.dto.UserObjectSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserObject] 服务对象接口
 */
public interface UserObjectService extends IService<UserObject>{

		UserObject get(UserObject et);
	boolean remove(UserObject et);
	boolean create(UserObject et);
	boolean update(UserObject et);
	boolean checkKey(UserObject et);
	boolean getDraft(UserObject et);
    List<UserObject> listDefault(UserObjectSearchFilter filter) ;
	Page<UserObject> searchDefault(UserObjectSearchFilter filter);
    List<UserObject> listIndexDER(UserObjectSearchFilter filter) ;
	Page<UserObject> searchIndexDER(UserObjectSearchFilter filter);
	/**	 实体[UserObject] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }